import {PageHeader, Table} from 'antd';
import {Fragment} from "react";
import {useRouter} from 'next/router';
import Link from 'next/link';

function Dictionary(props) {
  let {indexes} = props;
  const router = useRouter();
  const {dict_id} = router.query;
  console.log(dict_id);
  const cols = [
    {
      title: "Name",
      dataIndex: "name",
      render: (text, record, index) => <Link href="/dict-edit/"><a>{text}</a></Link>
    },
    {title: "Type", dataIndex: "type"},
    {
      title: "item count",
      render: (text, record, index) => record.words.length,
    },
  ];
  return (
    <Fragment>
      <PageHeader title="Dictionary Management"
                  subTitle="Management interface to add, update, and remove words"/>
      <Table dataSource={indexes} columns={cols}>
      </Table>

    </Fragment>
  );
}

Dictionary.getInitialProps = async ({req}) => {
  let indexes = [
    {
      id: 1,
      name: "black",
      type: "blacklist",
      words: ['fuck',
        "2g1c",
        "2 girls 1 cup",
        "anal",
        "anus",
        "arse",
        "ass",
      ]
    },
    {
      id: 2,
      name: 'ip',
      type: "blacklist",
      words: [
        '102.232.434.545'
      ]
    }
  ];

  return {indexes};
};

export default Dictionary;
